Bug Hunting Session
Bug 89315 - Style changed when saved as docx
Summary: Style changed when saved as docx
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:5.3.0 target:5.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-11 19:18 UTC by Zeki Bildirici
Modified: 2017-05-18 18:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Original ODT file (138.57 KB, application/vnd.oasis.opendocument.text)
2015-02-11 19:18 UTC, Zeki Bildirici
Details
File saved as docx on LibO 4.4 (72.60 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-02-11 19:18 UTC, Zeki Bildirici
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zeki Bildirici 2015-02-11 19:18:07 UTC
Created attachment 113321 [details]
Original ODT file

Hi,

When saving the attached document as docx, some of the styles seems changed when opening it again with LibreOffice 4.4.0 are changed.

Steps:
1- Download attached odt file and save as docx

The red lines with style name _ECV_Comments are actually Arial 8, but when saved style name ok, but font is changed to Times New Roman 12.

Opening the file with Microsoft Word 2013 is fine, styles are saved.

Version: 4.4.0.3
Build NO: de093506bcdc5fafd9023ee680b8c60e3e0645d7

Re bug: https://bugs.documentfoundation.org/show_bug.cgi?id=89297 (item 2 on comment 3)

Best regards,
Zeki
Comment 1 Zeki Bildirici 2015-02-11 19:18:50 UTC
Created attachment 113322 [details]
File saved as docx on LibO 4.4
Comment 2 Buovjaga 2015-02-22 11:25:47 UTC
It changes already in 3.3.0, but not in the same way.

Win 7 Pro 64-bit, LibO Version: 4.4.0.3
Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Locale: fi_FI

Version: 4.5.0.0.alpha0+
Build ID: b13534de022972131b46f93f5ada90af155eec9e
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-02-19_00:21:37
Locale: fi_FI

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 tommy27 2016-04-16 07:23:23 UTC Comment hidden (obsolete)
Comment 4 Justin L 2016-09-09 11:03:30 UTC
confirmed 12point TNR still a problem for .docx in _ECV_Comments style
Comment 5 Justin L 2016-09-10 05:16:29 UTC
proposed fix at https://gerrit.libreoffice.org/#/c/28785/
Comment 6 Commit Notification 2016-09-13 08:19:42 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5aaf4d89c5acfbdf1e85a760e3b3585f7d04e48a

tdf#89315 writerfilter add missing parents to out-of-order styles

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2016-09-14 14:46:04 UTC
Only regressions should use the keyword 'preBibisect'. Removing it...
Comment 8 Commit Notification 2016-12-02 10:54:49 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a61165b32dc356ca41117f101846d43929bc551&h=libreoffice-5-2

tdf#89315 writerfilter add missing parents to out-of-order styles

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.